## Description ##
An iSpy (DVR) server resource for running it on RockyLinux 8.x/9.x


## Installation ##
<details>
<summary>To setup your iSpy/DVR server start out with a fresh RockyLinux 8.x/9.x server/vps/LXC -  i use a ProxMox (https://www.proxmox.com/en/proxmox-ve) LXC,
and will assumes that your server has:</summary>
  
* (atleast) 4Gb of memory available.<br>
* SSH acccess to the box -> by default the RockyLinux 8/9 template does not have openssh-server package installed, so manually add it.<br>

Out of scope:
* reverse proxy with SSL in front of iSpy/DVR to make it available on default HTTPS port.(these capabillities are licenced options).<br>


</details>
</br>


###### 
Install/Enable additional repositories (epel) and packages.
```
dnf install epel-release wget nano nginx xz
```

###### 
Setup nginx directories for multisite as it makes it more versatile reference: [https://docs.rockylinux.org/guides/web/nginx-multisite/](https://docs.rockylinux.org/guides/web/nginx-multisite/)


###### 
Create a nginx configuration-file for the DVR resource in /etc/nginx/sites-available/ with the following content.
```
server {
    listen 80;
    server_name your.server.name.sometld;
    location / {
        proxy_pass http://localhost:8090;

        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}
```

###### 
Enable the above configuration to be loaded on nginx startup
```
ln -s /etc/nginx/sites-available/your_configfile.conf /etc/nginx/sites-enabled/
```

###### 
Download and execute the dvr Agent installation.
